#!/bin/bash

LENOVO="lenovo"
SUGON="sugon"
G212="G212"
G210="G210"
CUSTOM_INFO=`cat /etc/nfs/info | grep "CUSTOM_INFO"`
MINOR_VERSION=`cat /etc/nfs/info | grep "MINOR_VERSION"`

if [ ! "x$CUSTOM_INFO" = "x" ]; then
	if [[ "$CUSTOM_INFO" =~ "$LENOVO" ]] || [[ "$CUSTOM_INFO" =~ "$SUGON" ]]; then
		cp -a /usr/share/cdos-system/disable_selinux.cfg  /etc/default/grub.d/disable_selinux.cfg
	fi
elif [ ! "x$MINOR_VERSION" = "x" ]; then
	if [[ "$MINOR_VERSION" =~ "$G212" ]] || [[ "$MINOR_VERSION" =~ "$G210" ]]; then
		cp -a /usr/share/cdos-system/disable_selinux.cfg  /etc/default/grub.d/disable_selinux.cfg
	fi
else
	true
fi

rm -f /usr/share/cdos-system/disable_selinux.cfg

exit 0
